Bug 766694 - UI should show virtual child pools as "children" of the parent.
UI should show virtual child pools as "children" of the parent.
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Tom McKay
Og Maciel
: Triaged
Depends On: 760564
Blocks: katello-blockers sam12-tracker
  Show dependency treegraph
 
Reported: 2011-12-12 10:13 EST by Tom McKay
Modified: 2014-09-18 11:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Virtualized subscriptions inaccurately reflected the parent-child relationship of organizations and their subscriptions. This change modified the user interface to display virtual subscriptions as children of physical subscriptions. Child subscriptions are now shown under the parent subscriptions and are cross-referenced by links.
Story Points: ---
Clone Of: 760564
Environment:
Last Closed: 2012-12-04 14:41:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2011-12-12 10:13:40 EST
+++ This bug was initially created as a clone of Bug #760564 +++

In the attached screen shot the virtual subsriptions are "children" of the physical ones and should be shown "under" the parent.
Comment 1 Tom McKay 2011-12-20 16:02:50 EST
commit 188b41664ed516b12c5d5c5068a6c2d2b131b384
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Tue Dec 20 15:58:15 2011 -0500

    Bug 769372 - Second import subscriptions do not show up
    https://bugzilla.redhat.com/show_bug.cgi?id=769372
    + Problem was in providers_controller just getting the first subscription to check provider against; all subscriptions should have been checked.
    
    Bug 766694 - UI should show virtual child pools as "children" of the parent.
    https://bugzilla.redhat.com/show_bug.cgi?id=766694
    + Derived pools are no longer shown on the providers page; just the ones imported through the manifest.
Comment 2 Mike McCune 2012-01-26 14:07:53 EST
mass ON_QA move
Comment 4 Corey Welton 2012-03-23 14:01:46 EDT
Moving back to new per https://bugzilla.redhat.com/show_bug.cgi?id=760564#c6 - candlepin work required to fully implement this.
Comment 6 Mike McCune 2012-08-03 12:16:13 EDT
Fixed in SAM
Comment 8 Og Maciel 2012-09-22 11:34:52 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 10 errata-xmlrpc 2012-12-04 14:41:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.